Subject: bug#19780: “User has no home directory” (was: bug#19780: 13 failing tests)

From: Ricardo Wurmus <[email-masked]>
Date: Tue, 13 Oct 2015 11:59:30 +0200

Hi Ludo,

I can confirm that the error disappears when nscd is running.  Emacs no
longer tells me

    Error (initialization): User rwurmus has no home directory

when starting it as long as nscd is running.

I would like to note that the version of Emacs that is available through
Fedora repositories does not need nscd to run (this is on the same
machine).  The error only appears when nscd is not running and the Emacs
installed via Guix is used.

Thanks for the help!  Now that I’m sure that this is not a general
problem I can prepare to replace Fedora with GuixSD on my office
workstation.

~~ Ricardo